Render a pleading to PDF
curl --request POST \
--url https://pdfs.platform.arb.inc/pleadings/render \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"documentID": "statementOfClaim",
"caseID": "2025-11-000123",
"filingName": "Alex Morgan",
"filingParty": "Claimant",
"claimant": "Acme Company",
"respondent": "Mike Smith",
"timestamp": "2025-11-01T14:30:00Z",
"fields": {
"incidentDate": "2025-10-20",
"incidentLocation": "123 Main St, Springfield, NY 10001",
"claimAmount": "$5,000",
"statement": "I declare under penalty of perjury that the foregoing is true and correct."
},
"docketStamp": "49",
"supersedesStamp": "48"
}
'import requests
url = "https://pdfs.platform.arb.inc/pleadings/render"
payload = {
"documentID": "statementOfClaim",
"caseID": "2025-11-000123",
"filingName": "Alex Morgan",
"filingParty": "Claimant",
"claimant": "Acme Company",
"respondent": "Mike Smith",
"timestamp": "2025-11-01T14:30:00Z",
"fields": {
"incidentDate": "2025-10-20",
"incidentLocation": "123 Main St, Springfield, NY 10001",
"claimAmount": "$5,000",
"statement": "I declare under penalty of perjury that the foregoing is true and correct."
},
"docketStamp": "49",
"supersedesStamp": "48"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
documentID: 'statementOfClaim',
caseID: '2025-11-000123',
filingName: 'Alex Morgan',
filingParty: 'Claimant',
claimant: 'Acme Company',
respondent: 'Mike Smith',
timestamp: '2025-11-01T14:30:00Z',
fields: {
incidentDate: '2025-10-20',
incidentLocation: '123 Main St, Springfield, NY 10001',
claimAmount: '$5,000',
statement: 'I declare under penalty of perjury that the foregoing is true and correct.'
},
docketStamp: '49',
supersedesStamp: '48'
})
};
fetch('https://pdfs.platform.arb.inc/pleadings/render', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>""document not found"pleadings
Render a pleading to PDF
Fills a pleading document and returns a PDF.
POST
/
pleadings
/
render
Render a pleading to PDF
Authorizations
access token
Body
application/json
Unique ID of the document template to fill.
Required string length:
1 - 50Example:
"statementOfClaim"
Unique ID of the related case.
Required string length:
1 - 50Example:
"2025-11-000123"
Name of the person creating the filing.
Required string length:
1 - 50Example:
"Alex Morgan"
Party of the person creating the filing.
Required string length:
1 - 50Example:
"Claimant"
The party initiating the claim.
Required string length:
1 - 300Example:
"Acme Company"
The party responding to the claim.
Required string length:
1 - 300Example:
"Mike Smith"
When the document data was created or submitted (ISO 8601).
Example:
"2025-11-01T14:30:00Z"
Key-value map for template field replacements.
Show child attributes
Show child attributes
Example:
{
"incidentDate": "2025-10-20",
"incidentLocation": "123 Main St, Springfield, NY 10001",
"claimAmount": "$5,000",
"statement": "I declare under penalty of perjury that the foregoing is true and correct."
}
Optional stamp value applied to the first page to mark docket number.
Required string length:
1 - 5Example:
"49"
Optional stamp value applied to the first page to indicate a superseding docket number.
Required string length:
1 - 5Example:
"48"
Response
PDF successfully rendered.
The response is of type file.
⌘I